export default {
  WORKSPACE_GET:         'SERVER:WORKSPACE_GET',
  WORKSPACE_GET_SUCCESS: 'WORKSPACE_GET_SUCCESS',
  WORKSPACE_GET_FAILURE: 'WORKSPACE_GET_FAILURE',

  WORKSPACE_REMOVE:         'SERVER:WORKSPACE_REMOVE',
  WORKSPACE_REMOVE_SUCCESS: 'WORKSPACE_REMOVE_SUCCESS',
  WORKSPACE_REMOVE_FAILURE: 'WORKSPACE_REMOVE_FAILURE',

  WORKSPACE_GET_ID:         'SERVER:WORKSPACE_GET_ID',
  WORKSPACE_GET_ID_SUCCESS: 'WORKSPACE_GET_ID_SUCCESS',
  WORKSPACE_GET_ID_FAILURE: 'WORKSPACE_GET_ID_FAILURE',

  WORKSPACE_GET_USERS_SUCCESS: 'WORKSPACE_GET_USERS_SUCCESS',
  WORKSPACE_GET_USERS_FAILURE: 'WORKSPACE_GET_USERS_FAILURE',

  WORKSPACE_EDIT: 'WORKSPACE_EDIT',
  VALIDATION: 'WORKSPACE_VALIDATION',

  WORKSPACE_UPDATE:         'SERVER:WORKSPACE_UPDATE',
  WORKSPACE_UPDATE_SUCCESS: 'WORKSPACE_UPDATE_SUCCESS',
  WORKSPACE_UPDATE_FAILURE: 'WORKSPACE_UPDATE_FAILURE',

  WORKSPACE_CREATE:         'SERVER:WORKSPACE_CREATE',
  WORKSPACE_CREATE_SUCCESS: 'WORKSPACE_CREATE_SUCCESS',
  WORKSPACE_CREATE_FAILURE: 'WORKSPACE_CREATE_FAILURE',

  WORKSPACE_EDIT_SET_IS_EDIT: 'WORKSPACE_SET_IS_EDIT',

  WORKSPACE_SEARCH:         'SERVER:WORKSPACE_SEARCH',
  WORKSPACE_SEARCH_SUCCESS: 'WORKSPACE_SEARCH_SUCCESS',
  WORKSPACE_SEARCH_FAILURE: 'WORKSPACE_SEARCH_FAILURE',

  WORKSPACE_UPDATE_ADD_USER: 'WORKSPACE_UPDATE_ADD_USER',
  WORKSPACE_UPDATE_ADD_USER_SUCCESS: 'WORKSPACE_UPDATE_ADD_USER_SUCCESS',
  WORKSPACE_UPDATE_ADD_USER_FAILURE: 'WORKSPACE_UPDATE_ADD_USER_FAILURE',

  WORKSPACE_UPDATE_REMOVE_USER: 'WORKSPACE_UPDATE_REMOVE_USER',
  WORKSPACE_UPDATE_REMOVE_USER_SUCCESS: 'WORKSPACE_UPDATE_REMOVE_USER_SUCCESS',
  WORKSPACE_UPDATE_REMOVE_USER_FAILURE: 'WORKSPACE_UPDATE_REMOVE_USER_FAILURE',

  WORKSPACE_SEARCH_AMPLIFY_PRODUCT_SUCCESS: 'WORKSPACE_SEARCH_AMPLIFY_PRODUCT_SUCCESS',
  WORKSPACE_SEARCH_AMPLIFY_PRODUCT_FAILURE: 'WORKSPACE_SEARCH_AMPLIFY_PRODUCT_FAILURE',

  SET_PAGE:     'WORKSPACE_SET_PAGE',
  SET_FILTER:   'WORKSPACE_SET_FILTER',
  RESET_FILTER: 'WORKSPACE_RESET_FILTER',

  ATTACH: 'ASSET_ATTACH',
  REMOVE_FILE: 'ASSET_REMOVE_FILE',

  UPLOAD:         'SERVER:ASSET_UPLOAD',
  UPLOAD_SUCCESS: 'ASSET_UPLOAD_SUCCESS',
  UPLOAD_FAILURE: 'ASSET_UPLOAD_FAILURE',

  RESET_ATTACHMENTS: 'RESET_ATTACHMENTS'
}
